Loading...
Searching...
No Matches
BALL::CharmmNonBonded Class Reference
Molecular Modeling » Molecular Mechanics » CHARMM Force Field.

`#include <BALL/MOLMEC/CHARMM/charmmNonBonded.h>`

Inheritance diagram for BALL::CharmmNonBonded:

## Public Member Functions

Constructors and Destructors
| CharmmNonBonded ()
| CharmmNonBonded (ForceField &force_field)
| CharmmNonBonded (const CharmmNonBonded &charmm_non_bonded)
virtual | ~CharmmNonBonded ()
Assignment
const CharmmNonBonded & | operator= (const CharmmNonBonded &charmm_non_bonded)
virtual void | clear ()
Predicates
bool | operator== (const CharmmNonBonded &charmm_non_bonded)
Setup Methods
virtual bool | setup ()
Accessors
virtual double | updateEnergy ()
virtual void | updateForces ()
virtual double | getElectrostaticEnergy () const
virtual double | getVdwEnergy () const
virtual double | getSolvationEnergy () const
Public Member Functions inherited from BALL::ForceFieldComponent
| ForceFieldComponent ()
| ForceFieldComponent (ForceField &force_field)
| ForceFieldComponent (const ForceFieldComponent &force_field_component)
virtual | ~ForceFieldComponent ()
ForceField * | getForceField () const
void | setForceField (ForceField &force_field)
void | setName (const String &name)
String | getName () const
bool | isEnabled () const
void | setEnabled (bool state)
virtual double | getEnergy () const
virtual void | update ()
double | updateScore ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Neighbourhood and Parameter calculations

double | electrostatic_energy_
double | vdw_energy_
double | solvation_energy_
virtual MolmecSupport::PairListAlgorithmType | determineMethodOfAtomPairGeneration ()
virtual void | buildVectorOfNonBondedAtomPairs (const std::vector< std::pair< Atom *, Atom * > > &atom_vector)

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
ForceField * | force_field_
double | energy_
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

Charmm NonBonded component. This force field component implements the non-bonded interactions in the CHARMM force field: van-der-Waals interaction, electrostatics, and solvation (in EEF1 only).

Definition at line 45 of file charmmNonBonded.h.

## Constructor & Destructor Documentation

## CharmmNonBonded() [1/3]

BALL::CharmmNonBonded::CharmmNonBonded | ( |  | ) |

Default constructor.

## CharmmNonBonded() [2/3]

BALL::CharmmNonBonded::CharmmNonBonded | ( | ForceField & | force_field | ) |

Constructor.

## CharmmNonBonded() [3/3]

BALL::CharmmNonBonded::CharmmNonBonded | ( | const CharmmNonBonded & | charmm_non_bonded | ) |

Copy constructor

## ~CharmmNonBonded()

virtual BALL::CharmmNonBonded::~CharmmNonBonded | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## buildVectorOfNonBondedAtomPairs()

virtual void BALL::CharmmNonBonded::buildVectorOfNonBondedAtomPairs | ( | const std::vector< std::pair< Atom *, Atom * > > & | atom_vector | ) |

virtual

Build a vector of non-bonded atom pairs with the vdw parameters

Exceptions

  BALL::Exception::TooManyErrors |

## clear()

virtual void BALL::CharmmNonBonded::clear | ( |  | ) |

virtual

Clear method

Reimplemented from BALL::ScoringComponent.

## determineMethodOfAtomPairGeneration()

virtual MolmecSupport::PairListAlgorithmType BALL::CharmmNonBonded::determineMethodOfAtomPairGeneration | ( |  | ) |

virtual

Computes the most efficient way to calculate the non-bonded atom pairs

## getElectrostaticEnergy()

virtual double BALL::CharmmNonBonded::getElectrostaticEnergy | ( |  | ) | const

virtual

Return the electrostatic energy.

## getSolvationEnergy()

virtual double BALL::CharmmNonBonded::getSolvationEnergy | ( |  | ) | const

virtual

Return the solvation energy.

## getVdwEnergy()

virtual double BALL::CharmmNonBonded::getVdwEnergy | ( |  | ) | const

virtual

Return the Van-der-Waals energy.

## operator=()

const CharmmNonBonded & BALL::CharmmNonBonded::operator= | ( | const CharmmNonBonded & | charmm_non_bonded | ) |

Assignment operator

## operator==()

bool BALL::CharmmNonBonded::operator== | ( | const CharmmNonBonded & | charmm_non_bonded | ) |

Equality operator

## setup()

virtual bool BALL::CharmmNonBonded::setup | ( |  | ) |

virtual

Setup method.

Exceptions

  BALL::Exception::TooManyErrors |

Reimplemented from BALL::ForceFieldComponent.

## updateEnergy()

virtual double BALL::CharmmNonBonded::updateEnergy | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ForceFieldComponent.

## updateForces()

virtual void BALL::CharmmNonBonded::updateForces | ( |  | ) |

virtual

Calculates and returns the component's forces.

Reimplemented from BALL::ForceFieldComponent.

## Member Data Documentation

## electrostatic_energy_

double BALL::CharmmNonBonded::electrostatic_energy_

protected

Definition at line 172 of file charmmNonBonded.h.

## solvation_energy_

double BALL::CharmmNonBonded::solvation_energy_

protected

Definition at line 180 of file charmmNonBonded.h.

## vdw_energy_

double BALL::CharmmNonBonded::vdw_energy_

protected

Definition at line 176 of file charmmNonBonded.h.